//
//  MyDocument.h
//  LilyRunner
//
//  Created by Toshi Nagata on 09/02/07.
//  Copyright Toshi Nagata 2009 . All rights reserved.
//
/*
 Copyright (c) 2009 Toshi Nagata. All rights reserved.
 
 Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 
 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#import <Cocoa/Cocoa.h>

@interface MyDocument : NSDocument
{
	IBOutlet NSTextView *textView;
	NSTimer *timer;
	NSTask *task;
	NSString *taskname;  /*  The name of the running program  */
	NSString *productext;  /*  The extension of the expected product, pdf or png  */
}
- (void)invokeTask: (NSString *)taskpath withName: (NSString *)taskname directory: (NSString *)dirname arguments: (NSArray *)args;
- (IBAction)compile: (id)sender;
- (IBAction)createPNG: (id)sender;
- (IBAction)updateSyntax: (id)sender;
- (IBAction)openWithExternalEditor: (id)sender;
- (IBAction)clearMessage: (id)sender;

@end
